package scripts.dict

import cn.lihongjie.coal.base.dto.CommonQuery
import cn.lihongjie.coal.coalInfo.controller.CoalInfoController
import cn.lihongjie.coal.coalInfo.entity.CoalInfoEntity
import org.springframework.context.ApplicationContext

ApplicationContext ioc = ioc

def controller = ioc.getBean(CoalInfoController.class)




return controller.list(new CommonQuery()).content.collect {
    def entity = new CoalInfoEntity()
    entity.id = it.id
    entity.code = it.code
    entity.name = "$it.supplierName-$it.name($it.coalTypeName)"
    return entity
}

